=== debian/changelog ===
libsdl2 (2.32.4+dfsg-1) unstable; urgency=medium

  * New upstream stable release
  * d/patches: Drop patches that came from upstream, included in the
    new release
  * Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Tue, 01 Apr 2025 14:43:49 +0100
