## libsdl2 2.32.8+dfsg

=== debian/changelog ===
libsdl2 (2.32.8+dfsg-2) unstable; urgency=medium

  * Rebuild for unstable

 -- Simon McVittie <smcv@debian.org>  Sun, 10 Aug 2025 11:23:26 +0100

libsdl2 (2.32.8+dfsg-1) experimental; urgency=medium

  * New upstream stable release
    - Use getauxval() to check for Altivec on PowerPC
    - Avoid unused function warnings in cpuinfo
    - Fix Gamecube controller adapter hotplug detection
    - Fix a rare crash while trying to interrupt SDL_WaitEvent()
    - Revert a problematic change to default texture formats in the GLES2
      renderer
    - Emscripten-, PS2- and Windows-specific changes not relevant in Debian

 -- Simon McVittie <smcv@debian.org>  Tue, 03 Jun 2025 12:47:09 +0100

libsdl2 (2.32.6+dfsg-1) experimental; urgency=medium

  * New upstream stable release
    - Fix misleading SDL_BlitSurface() documentation
    - Retry reading calibration data a few times for Switch hidraw devices
    - Only include <immintrin.h> on x86, even if it somehow exists on other
      architectures
    - Avoid undefined behaviour (adding an offset to nullptr)
      in the GLES2 renderer
    - Avoid undefined behaviour (31-bit left shift) when disabling some
      event types
  * d/rules: Ensure that library is built before tests (Closes: #1105444)
  * Upload to experimental due to trixie freeze

 -- Simon McVittie <smcv@debian.org>  Wed, 14 May 2025 12:54:57 +0100
