=== debian/changelog ===
libsdl2 (2.32.10+dfsg-4) unstable; urgency=medium

  * d/*.README.Debian: Point to libsdl2-compat's README.Debian
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Fri, 12 Sep 2025 16:01:26 +0100

libsdl2 (2.32.10+dfsg-3) experimental; urgency=medium

  * Split out a libsdl2-classic package.
    This is the reverse of libsdl2-compat: it provides "classic" SDL 2
    at a non-default location, so that it can be used as a fallback for
    any games that might regress when libsdl2-compat-shim is installed.
    We can use this as a stepping stone towards sdl2-compat becoming the
    default implementation.
  * Upload to experimental for NEW processing

 -- Simon McVittie <smcv@debian.org>  Tue, 09 Sep 2025 19:08:09 +0100

libsdl2 (2.32.10+dfsg-2) unstable; urgency=medium

  * d/rules: Enable MMX, SSE and SSE2 on any-i386.
    This appears to resolve a recent test regression on i386 with upgraded
    dependencies, quite possibly triggered by upgrading gcc to version 15.
    These extensions are officially required since Debian 13, so there
    seems no point in going to extra effort to support the i387 FPU
    any more.
  * d/rules: Explicitly disable SSE3.
    This is not currently part of the baseline on any Debian architecture.

 -- Simon McVittie <smcv@debian.org>  Tue, 09 Sep 2025 15:39:18 +0100

libsdl2 (2.32.10+dfsg-1) unstable; urgency=medium

  * New upstream stable release
  * d/p/multiarch.patch: Avoid hard-coding a list of static libraries
    in sdl2-config.
    It turns out that the list of libsdl2's static library dependencies
    is slightly different on s390x (a different number of duplicates of
    -lm), causing a multiarch conflict between s390x and everything else.
    Avoid this by using pkg-config more often.
    Add Recommends: pkgconf to the -dev package: this is now required
    for static linking, even when using the legacy sdl2-config script.
  * d/patches: Update to upstream release-2.32.x branch, commit
    release-2.32.10-2-g05c9b1618
    - Fix a FTBFS in the ALSA driver

 -- Simon McVittie <smcv@debian.org>  Wed, 03 Sep 2025 12:01:49 +0100
