=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: libsdl2
 Priority: optional
-Section: oldlibs
+Section: libs
 Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
 Uploaders:
  Manuel A. Fernandez Montecelo <mafm@debian.org>,
@@ -50,6 +50,26 @@
 Homepage: https://www.libsdl.org/
 Rules-Requires-Root: no
 
+Package: libsdl2-2.0-0
+Architecture: any
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ libsdl2-classic (= ${binary:Version}),
+Conflicts:
+ libsdl-1.3-0
+Replaces:
+ libsdl-1.3-0
+Description: Simple DirectMedia Layer
+ SDL is a library that allows programs portable low level access to a video
+ framebuffer, audio output, mouse, and keyboard.
+ .
+ This package contains the shared library, in a location where it will
+ be used by SDL2 games by default.
+
 Package: libsdl2-classic
 Architecture: any
 Multi-Arch: same
@@ -64,20 +84,69 @@
  SDL is a library that allows programs portable low level access to a video
  framebuffer, audio output, mouse, and keyboard.
  .
- By default, SDL 2 games now use sdl2-compat, a reimplementation of
- the SDL 2 API using SDL 3, which aims to be fully compatible with
- "classic" SDL 2.
+ This package contains the shared library, but installs it to a location
+ where it will not be used by default. To use "classic" SDL2 by default,
+ please install the libsdl2-2.0-0 package.
  .
- This package contains the "classic" version of SDL 2, and can be used
- for games that regress with sdl2-compat, by setting environment variable
+ This can also be used in conjunction with the libsdl2-compat-shim package,
+ to make SDL2 games use sdl2-compat by default, with "classic" SDL2
+ available as a fallback by setting environment variable
  SDL_DYNAMIC_API='/usr/$LIB/sdl2-classic/libSDL2-2.0.so.0'
  or adding '/usr/$LIB/sdl2-classic' to the LD_LIBRARY_PATH environment
  variable.
+
+Package: libsdl2-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Depends:
+ libasound2-dev [linux-any],
+ libdbus-1-dev,
+ libdecor-0-dev [linux-any],
+ libdrm-dev [linux-any],
+ libegl-dev [!hurd-any],
+ libgbm-dev [linux-any],
+ libgl-dev,
+ libgles-dev [!hurd-any],
+ libibus-1.0-dev,
+ libpulse-dev,
+ libsamplerate0-dev,
+ libsdl2-2.0-0 (= ${binary:Version}),
+ libsdl2-classic (= ${binary:Version}),
+ libsndio-dev <!pkg.libsdl2.nosndio>,
+ libudev-dev [linux-any],
+ libusb2-dev [kfreebsd-any],
+ libusbhid-dev [kfreebsd-any],
+ libwayland-dev [linux-any],
+ libx11-dev,
+ libxcursor-dev,
+ libxext-dev,
+ libxfixes-dev,
+ libxi-dev,
+ libxinerama-dev,
+ libxkbcommon-dev,
+ libxrandr-dev,
+ libxss-dev,
+ libxt-dev,
+ libxv-dev,
+ libxxf86vm-dev,
+ ${misc:Depends},
+ ${shlibs:Depends}
+Recommends:
+ pkgconf,
+Conflicts:
+ libsdl-1.3-dev
+Replaces:
+ libsdl-1.3-dev
+Description: Simple DirectMedia Layer development files
+ SDL is a library that allows programs portable low level access to a video
+ framebuffer, audio output, mouse, and keyboard.
  .
- If it becomes necessary to use this library, please report that as a bug
- in the sdl2-compat package.
+ This package contains the files needed to compile and link programs which
+ use SDL.
 
 Package: libsdl2-doc
+Section: doc
 Architecture: all
 Multi-Arch: foreign
 Build-Profiles: <!nodoc>
