=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,7 @@
 	--disable-pulseaudio-shared \
 	--disable-render-d3d \
 	--disable-rpath \
+	--disable-sse3 \
 	--disable-video-cocoa \
 	--disable-video-directfb \
 	--disable-video-metal \
@@ -48,6 +49,12 @@
 	--enable-video-x11 \
 	$(NULL)
 
+ifeq ($(DEB_HOST_ARCH_CPU),i386)
+# Debian >= 13 requires MMX, SSE, SSE2 as per the release notes
+CFLAGS += -msse2 -mfpmath=sse
+confflags += --enable-mmx --enable-sse --enable-sse2 --enable-ssemath
+endif
+
 # disable autoheader (invoked automatically by autoreconf), necessary in order
 # to use debhelper compat level v10 without overriding dh-autoreconf calls
 export AUTOHEADER := /bin/true
@@ -178,6 +185,7 @@
 ifeq (,$(filter amd64 arm64 i386,$(DEB_HOST_ARCH)))
 	rm -fv debian/tmp/usr/share/installed-tests/SDL2/testtimer.test
 endif
+	install -d debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/sdl2-classic
 
 # debhelper >= 13.4 makes all of /usr/libexec executable, which is not
 # quite right for installed-tests
@@ -203,3 +211,26 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs -- WhatsNew.txt
+
+debian/libsdl2-classic.symbols: debian/libsdl2-2.0-0.symbols
+	cp -a $< $@
+
+# Disable automatic -dbgsym generation for libsdl2-2.0-0, to
+# avoid it generating a libsdl2-2.0-0-dbgsym package that would
+# collide with libsdl2-classic-dbgsym.
+override_dh_strip:
+	dh_strip -plibsdl2-2.0-0 --no-automatic-dbgsym
+	dh_strip --remaining-packages
+
+# dh_makeshlibs only acts on regular files, not symlinks, so we install
+# the library as a regular file during dh_install, and replace it with a
+# symlink after dh_makeshlibs has run.
+override_dh_makeshlibs-arch: debian/libsdl2-classic.symbols
+	dh_makeshlibs -plibsdl2-classic -n -V'libsdl2-2.0-0 (>= ${DEB_VERSION_EPOCH_UPSTREAM})'
+	dh_makeshlibs --remaining-packages -V'libsdl2-2.0-0 (>= ${DEB_VERSION_EPOCH_UPSTREAM})'
+	library=$$(cd debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) && ls -1 libSDL2-2.0.so.0.*) && \
+	ln -fns sdl2-classic/$$library debian/libsdl2-2.0-0/usr/lib/$(DEB_HOST_MULTIARCH)/
+	ln -fns sdl2-classic/libSDL2-2.0.so.0 debian/libsdl2-2.0-0/usr/lib/$(DEB_HOST_MULTIARCH)/
+
+override_dh_shlibdeps:
+	dh_shlibdeps -lusr/lib/$(DEB_HOST_MULTIARCH)/sdl2-classic
